Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Java] Class AbstractVetoingConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.AbstractVetoingConstraint

All Implemented Interfaces:
  VetoingConstraint

    public abstract class AbstractVetoingConstraint
    extends AbstractConstraint

TODO: write javadoc

Authors:
  Sergey Nebolsin ()

Field Summary

Fields inherited from class AbstractConstraint
classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource

Method Summary
`protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, Errors errors)`
`protected boolean` | `processValidateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, Errors errors)`
`boolean` | `validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, Errors errors)`

Methods inherited from class AbstractConstraint
checkState, getDefaultMessage, getPropertyName, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate

Method Detail

### processValidate

    @Override
    protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, Errors errors)

### processValidateWithVetoing

    protected boolean processValidateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, Errors errors)

### validateWithVetoing

    public boolean validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, Errors errors)

Groovy Documentation